# Configurazione del Progetto per l'Uso di JFrog Artifactory con NPM

## Impostazioni Iniziali

Per iniziare, è necessario configurare il file `.npmrc` all'interno della directory radice del progetto per specificare il registry personalizzato di Artifactory. Aggiungi la seguente riga al tuo file `.npmrc`:
```bash
@vlf-scope:registry=https://artifactory.linksmt.it/artifactory/api/npm/psu-vue-framework/:_authToken=${auth_token}
```
Dove:
- `@vlf-scope` è il tuo scope personalizzato per i pacchetti NPM.
- `auth_token` è la tua API key di accesso a Artifactory.

## Pubblicazione della Libreria

### Autenticazione NPM

Prima di pubblicare la tua libreria, devi autenticarti con il registro NPM di Artifactory utilizzando il seguente comando:

```bash
npm login --registry=https://artifactory.linksmt.it/artifactory/api/npm/psu-vue-framework/
```
Inserisci le tue credenziali quando richiesto:

username: psu-vue-framework.ci
password: La tua password Artifactory.

### Configurazione dello Scope
Configura il tuo scope personalizzato con Artifactory utilizzando il seguente comando:

```bash
npm config set @vlf-scope:registry https://artifactory.linksmt.it/artifactory/api/npm/psu-vue-framework/
```
### Pubblicazione del Pacchetto
Una volta autenticato e configurato lo scope, puoi pubblicare il tuo pacchetto con il comando:

```bash
npm publish --registry https://artifactory.linksmt.it/artifactory/api/npm/psu-vue-framework/
```
